Bug 1535578 (CVE-2018-6003) - CVE-2018-6003 libtasn1: Stack exhaustion due to indefinite recursion during BER decoding
Summary: CVE-2018-6003 libtasn1: Stack exhaustion due to indefinite recursion during B...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-6003
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1535924 1535925 1535926 1539171 1539172
Blocks: 1535580
TreeView+ depends on / blocked
 
Reported: 2018-01-17 16:16 UTC by Adam Mariš
Modified: 2019-09-29 14:30 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:37:32 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-01-17 16:16:56 UTC
It was found that indefinite string encoding is decoded via recursion in _asn1_decode_simple_ber() which can lead to stack exhaustion when processing specially crafted string.

Reference:

https://lists.gnu.org/archive/html/help-libtasn1/2018-01/msg00000.html

Comment 2 Huzaifa S. Sidhpurwala 2018-01-18 09:35:16 UTC
Created libtasn1 tracking bugs for this issue:

Affects: fedora-all [bug 1535926]


Created mingw-libtasn1 tracking bugs for this issue:

Affects: fedora-all [bug 1535925]

Comment 6 Kurt Seifried 2018-01-26 20:18:51 UTC
Statement:

This issue affects the versions of libtasn1 as shipped with Red Hat Satellite version 6. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.